# Method: projects.firewallpolicies.delete

- [HTTP request](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/delete#body.aspect_1)

Deletes the specified firewall policy.

### HTTP request

`DELETE https://recaptchaenterprise.googleapis.com/v1/{name=projects/*/firewallpolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the policy to be deleted, in the format `projects/{project}/firewallpolicies/{firewallpolicy}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `recaptchaenterprise.firewallpolicies.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).